Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.servidor
Class ServidorWeb

    java.lang.Object
      estella.servidor.ServidorWeb

All Implemented Interfaces:
  java.lang.Runnable

    public class ServidorWeb

extends java.lang.Object
implements java.lang.Runnable

Servidor web simples

Since:
  04/12/2005

Field Summary
`static boolean` | `ativo`

Constructor Summary
`ServidorWeb()`
`ServidorWeb(int porta)`
`ServidorWeb(int porta, java.lang.String repositorio)`

Method Summary
`static boolean` | `para()` Funcao para parar o servidor web (stop)
`void` | `run()` Inicia um novo servico de escuta em uma porta

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ativo

    public static boolean ativo

Constructor Detail

### ServidorWeb

    public ServidorWeb(int porta,
                       java.lang.String repositorio)

### ServidorWeb

    public ServidorWeb(int porta)

### ServidorWeb

    public ServidorWeb()

Method Detail

### para

    public static boolean para()

  Funcao para parar o servidor web (stop)

  Returns:
    true ou false

### run

    public void run()

  Inicia um novo servico de escuta em uma porta

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD